<template>
  <!--輪播圖-小-->
  <q-carousel v-model="slide" transition-prev="slide-right" transition-next="slide-left" :autoplay="5000" swipeable
    animated control-color="white" padding arrows infinite height="235px"
    class="bg-primary text-white shadow-1 q-mt-lg q-mb-xl">
    <q-carousel-slide v-for="(x, i) in plugData.Details" :key="i" @click="clickSlideHandler(x.LinkUrl)" :name="i"
      :img-src="x.LinkImg" />
  </q-carousel>
</template>
<script>
  export default {
    props: ["plugData"],
    data() {
      return {
        slide: 0,
      };
    },
    methods: {
      clickSlideHandler(url) {
        if (url && url.length > 1) {
          this.OpenNewUrl(url);
        }
      }
    }
  };
</script>
<style>
</style>
